<html>
<head>
<title>OGRE: OgreImageResampler.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_96a9708cfab29525519b2d4762aad636.html">src</a></div>
<h1>OgreImageResampler.h File Reference</h1><code>#include &lt;algorithm&gt;</code><br>

<p>
<a href="OgreImageResampler_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1NearestResampler.html">Ogre::NearestResampler&lt; elemsize &gt;</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinearResampler.html">Ogre::LinearResampler</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinearResampler__Float32.html">Ogre::LinearResampler_Float32</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinearResampler__Byte.html">Ogre::LinearResampler_Byte&lt; channels &gt;</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreImageResampler_8h.html#eb34b7ef2dbf4c91dd7c37f88e852c03">UNPACK</a>(dst, x, y, z)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreImageResampler_8h.html#bfa4aeaeb25cca0360ae0ba0aef7cf9e">ACCUM3</a>(x, y, z, factor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreImageResampler_8h.html#8d51fc9045f78003752d2f5c88b34914">ACCUM4</a>(x, y, z, factor)</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned __int64&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f7c8391e4119084465186113a849f065">Ogre::uint64</a></td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="bfa4aeaeb25cca0360ae0ba0aef7cf9e"></a><!-- doxytag: member="OgreImageResampler.h::ACCUM3" ref="bfa4aeaeb25cca0360ae0ba0aef7cf9e" args="(x, y, z, factor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACCUM3          </td>
          <td>(</td>
          <td class="paramtype">x,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">y,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">z,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">factor&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<b>Value:</b><div class="fragment"><pre class="fragment">{ <span class="keywordtype">float</span> f = factor; \
    <span class="keywordtype">size_t</span> off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
    accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
    accum[2]+=srcdata[off+2]*f; }
</pre></div>
<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8d51fc9045f78003752d2f5c88b34914"></a><!-- doxytag: member="OgreImageResampler.h::ACCUM4" ref="8d51fc9045f78003752d2f5c88b34914" args="(x, y, z, factor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACCUM4          </td>
          <td>(</td>
          <td class="paramtype">x,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">y,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">z,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">factor&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<b>Value:</b><div class="fragment"><pre class="fragment">{ <span class="keywordtype">float</span> f = factor; \
    <span class="keywordtype">size_t</span> off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
    accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
    accum[2]+=srcdata[off+2]*f; accum[3]+=srcdata[off+3]*f; }
</pre></div>
<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="eb34b7ef2dbf4c91dd7c37f88e852c03"></a><!-- doxytag: member="OgreImageResampler.h::UNPACK" ref="eb34b7ef2dbf4c91dd7c37f88e852c03" args="(dst, x, y, z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UNPACK          </td>
          <td>(</td>
          <td class="paramtype">dst,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">x,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">y,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">z&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<b>Value:</b><div class="fragment"><pre class="fragment">PixelUtil::unpackColour(&amp;dst, src.format, \
    srcdata + srcelemsize*((x)+(y)*src.rowPitch+(z)*src.slicePitch))
</pre></div>
<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
